### Namespace

# GdkPixdata – 2.0

Inline image data

Version | 2.42.9
Authors | GTK Development Team
License | GPL-2.1-or-later
Website | https://www.gtk.org
Source | https://gitlab.gnome.org/GNOME/gdk-pixbuf/

#### Build

C headers | `gdk-pixbuf/gdk-pixdata.h`
pkg-config files | `gdk-pixbuf-2.0`

#### Dependencies

GObject—2.0 | The base type system library
| Browse documentation
GdkPixbuf—2.0 | Image loading library
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Structs

Pixdata | A pixel buffer suitable for serialization and streaming.

#### Bitfields

PixdataDumpType | An enumeration which is used by `gdk_pixdata_to_csource()` to determine the form of C source to be generated. The three values `GDK_PIXDATA_DUMP_PIXDATA_STREAM`, `GDK_PIXDATA_DUMP_PIXDATA_STRUCT` and `GDK_PIXDATA_DUMP_MACROS` are mutually exclusive, as are `GDK_PIXBUF_DUMP_GTYPES` and `GDK_PIXBUF_DUMP_CTYPES`. The remaining elements are optional flags that can be freely added.
PixdataType | An enumeration containing three sets of flags for a `GdkPixdata` struct: one for the used colorspace, one for the width of the samples and one for the encoding of the pixel data.

#### Functions

pixbuf_from_pixdata | Converts a `GdkPixdata` to a `GdkPixbuf`.

#### Constants

PIXBUF_MAGIC_NUMBER | Magic number for `GdkPixdata` structures.
PIXDATA_HEADER_LENGTH | The length of a `GdkPixdata` structure without the `pixel_data` pointer.